/*!
  \file   fruit.cc
  \author RB
  \date   Fevrier 2019
  \brief  Implémentation du module fruit.
*/

#include <assert.h>
#include <iostream>
#include <string>
#include "fruits.h"

using namespace std;

#define EF_First 	1
#define EF_Apple 	2
#define EF_Banana 	3
#define EF_Last 	4

static int numberOfFruits=0;

int getApple()
{
	numberOfFruits++;
	return EF_Apple;
}

int getBanana()
{
	numberOfFruits++;
	return EF_Banana;
}

void eatFruit(int aFruit)
{
	string sFruit;

	// vérification effectuée par l'implémentation
	// pour autoriser seulement certaines valeurs
	assert( aFruit > EF_First && aFruit < EF_Last );

	switch( aFruit)
	{
    case EF_Apple:
		sFruit = "une pomme";
		break;
    case EF_Banana:
		sFruit = "une banane ";
		break;
    default:
		sFruit = "fruit pas connu";
		break;
	}

	cout << " mjam, je mange " << sFruit << endl ;
	cout << " Il y a encore "  << --numberOfFruits << " fruits" << endl;
}

