/*!
  \file   persons.cc
  \author RB
  \date   Fevrier 2019
  \brief  Implémentation du module persons.
*/

#include <assert.h>
#include <iostream>
#include <string>
#include "persons.h"
#include "fruits.h"	   // pour l'appel de eafruit()

using namespace std;

#define EP_First 	1
#define EP_Bob 		2
#define EP_Anne 	3
#define EP_Last 	4

int getBob()
{
  return EP_Bob;
}

int getAnne()
{
  return EP_Anne;
}

void personEat(int aPerson, int aFruit)
{
	string sPerson;

	// vérification effectuée par l'implémentation
	// pour autoriser seulement certaines valeurs
	assert( aPerson > EP_First && aPerson < EP_Last );

	switch( aPerson)
	{
    case EP_Bob:
		sPerson = "Hi, c'est Bob !\n";
		break;
    case EP_Anne:
		sPerson = "Hallihallo, Anne parle:\n";
		break;
	default:
		sPerson = "une personne inconnue parle:\n";
		break;
	}

	cout << sPerson ;
	eatFruit( aFruit );
	cout << endl;
}

